.\"	$NetBSD: screenblank.1,v 1.14 2006/09/23 20:23:14 wiz Exp $
.\"
.\" Copyright (c) 1996-2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 23, 2006
.Dt SCREENBLANK 1
.Os
.Sh NAME
.Nm screenblank
.Nd screen saver daemon for wscons and FBIO machines
.Sh SYNOPSIS
.Nm screenblank
.Op Fl k | Fl m
.Op Fl d Ar inactivity-timeout
.Op Fl e Ar wakeup-delay
.Op Fl f Ar framebuffer
.Op Fl i Ar input-device
.Nm
.Brq Fl b | Fl u
.Sh DESCRIPTION
.Nm
disables the framebuffer if the keyboard and mouse are idle for a period
of time, and re-enables the framebuffer when keyboard or mouse activity
resumes.
.Pp
When killed with a SIGINT, SIGHUP, or SIGTERM,
.Nm
will re-enable the framebuffer.
The pid can be found in the file
.Pa /var/run/screenblank.pid .
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl b
Overriding the other options, simply try (once) to blank the
framebuffer, then exit.
.It Fl d Ar inactivity-timeout
Wait the number of seconds specified by
.Ar inactivity-timeout ,
expressed in the format
.Dq xxx.xxx ,
before disabling the framebuffer due to inactivity.
The default is 600 seconds (10 minutes).
.It Fl e Ar wakeup-delay
Wait the number of seconds specified by
.Ar wakeup-delay ,
expressed in the format
.Dq xxx.xxx ,
before re-enabling the framebuffer once activity resumes.
The default is .25 seconds.
.It Fl f Ar framebuffer
Use the framebuffer device
.Ar framebuffer
instead of the default
.Pa /dev/fb .
.It Fl i Ar input-device
Add
.Ar input-device
to the list of devices to monitor for activity.
.It Fl k
Do not check the keyboard for activity.
.It Fl m
Do not check the mouse for activity.
.It Fl u
Overriding the other options, simply try (once) to unblank the
framebuffer, then exit.
.El
.Pp
Note that the
.Fl k
and
.Fl m
flags are mutually exclusive.
.Sh FILES
.Bl -tag -width "/var/run/screenblank.pid  "
.It /dev/kbd
The keyboard device.
.It /dev/mouse
The mouse device.
.It /dev/console
The console device.
.It /dev/fb
The default framebuffer.
.It /dev/wskbd
The keyboard for wscons machines.
.It /dev/wsmouse
The mouse device for wscons machines.
.It /dev/ttyE0
The console device for wscons machines.
.It /var/run/screenblank.pid
File containing the pid of
.Nm .
.El
